Status: New Start date: 2010-10-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version: Candidate for next major release   

Description

There are two places where projects are displayed in mass: /projects and the project's admin. On both places, part of the description

is displayed. This is suboptimal as the view gets really messy if you include some more verbose status information into the

description.

Thus I propose adding a short summary to the project which is displayed in these locations. It would make the view much clearer and

more usable because of better content.

The attached patch introduces this.

History

#1 - 2010-10-22 00:01 - Terence Mill

+1 Very good idea, and easy to implement..

#2 - 2010-10-22 07:30 - Jean-Baptiste Barth

Why not. The real question is what you do with /projects view ? It's a bit difficult to read, the vertical flow is weird when you have more than 5 or 10

projects. Do you have any plan for that ?

#3 - 2010-10-22 08:16 - Holger Just

The /projects view uses Project.short_description too (and thus the short summary if present). And if the users use sane summaries (i.e. one line

descriptions), the view is indeed rather usable as it is today.

Although some minor CSS fixes (like indenting the description a few pixels) could still help here, this is another issue.

#4 - 2010-10-22 08:22 - Holger Just

Forgot...

Eric proposed to use a text datatype for the summary in the db. That way, we don't have any arbitrary text boundaries. It is then up to the user to use

this feature sanely.

#5 - 2017-11-26 14:31 - Go MAEDA

- Target version set to Candidate for next major release

Files

summary_to_projects.diff 1.71 KB 2010-10-21 Holger Just
